BBG Bugs - Feature #3179

[HR-medical]pembuatan query untuk men generate medical plafon secara massal
10/30/2024 09:39 AM - Muhammad Bintar

Status: Closed Start date: 10/30/2024
Priority: Normal Due date: 12/01/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

dear tim developer mohon supportnya untuk pembuatan query untuk men generate medical plafon secara massal.
untuk fungsinya bisa melihat dari redmine http:/remote.minovais.com:3000/redmine/issues/2460
http:/remote.minovais.com:61123/

database sql

remote.minovais.com, 1452

bbg_prod

History

#1 - 10/31/2024 11:53 AM - Kezia Pawitra Yulianti
- Due date set to 12/01/2024

- Status changed from New to Assigned

#2 - 11/01/2024 10:45 AM - shofwan shiddiq
- File clipboard-202411011045-x8ztb.png added

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Untuk flow query nya seperti apa ya?

Sama gak ya sama yg di demo. soalnya di demo udah ada nih query dan menu nya

Mh x @ 7. X @ jad X Bug x @ Mn x @ Bim x Min X @ gov X Min X Min X Min X+ - [} X

I Financial Accounting

«” Simulate Success
W Organization Management

W Employee Administration
B Time Management Mass Generate Medical Plafond

Start Date: 01/11/2024 Payroll Grade From:
End Date: 01/11/2024 Payroll Grade To:
i Employee Type: Employee ID
Medical Master Data From: 10000148
Claim Status
Employee 1D To:
Medical Claim 10000148

Import Medical

) A Medical Plafond
Export Medical

Medical Report ("simulate Generate Plafond |

Employee ID  Header Sequence Treatment Type Plafond Plafond Remain  Plafond Used MedicalFamily Status

M Travel Management

1 10000148 7 Rawat Jalan & Rawat Inap 10000000 10000000 0.00 Karyawan Simulate
@ Payroll Administration » .

2 10000148 7 Pengobatan Alternatif/ Herbal 450000 450000 0.00 Karyawan Simulate
. Paurall Arca: 3 10000148 7 Rawat Gigi 1050000 1050000 0.00 Karyawan Simulate

4 10000148 7 Melahirkan 7000000 7000000 0.00 Karyawan Simulate

5 10000148 7 Bingkai Kacamata 700000 700000 0.00 Karyawan Simulate

& 10000148 7 Lensa/ Contact Lens 400000 400000 0.00 Karyawan Simulate
#3 - 11/01/2024 10:45 AM - shofwan shiddiq
http://remote.minovais.com:3000/redmine/issues/2460
http://remote.minovais.com:61123/

Kalo sama, nanti ambil query yg di demo aja? atau bisa deploy sekalian sama menu nya

#4 - 11/01/2024 02:24 PM - shofwan shiddiq
- File GenerateMedPlafMass.txt added
- Status changed from Assigned to QA Test

Dear Mas Bintar, berikut query untuk generate medical all employee secara massal. Di jadiin service aja dan di ekseskusi di awal/akhir tahun.

*Kalau issimulate = 0 berarti hanya simulate, untuk nge cek hasilnya. untuk eksekusi ganti issimulate jadi = 1,

#5 - 11/08/2024 02:04 PM - Muhammad Bintar
- File clipboard-202411081402-90rx5.png added
- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to shofwan shiddiq

sudah di coba untuk execute tahun 2025 tetapi menjadi error.
.3.105 - Remote Desktop Connection
View Query Project Debug S5OLPrompt Tools Window Help
FIDECLARE (@year WARCHAR(12) = ‘282

Databases DECLARE @issimulste VARCHAR (2)='10
1 System Databases DECLARE @treattype varchar(58)=',
i Database Snapshots DECLARE @CreateBy VARCHAR(208)=''
| Bintang_Prod DECLARE (@ChangeBy VARCHAR(288)=""
| Bintang Temp DECLARE (istartdate VARCHAR(28)=flyear+'@lel’
J BM5_BACKUPDBRPTPA DECLARE (@enddate VARCHAR(28)=fyear+ 1231
3 cnef DECLARE (lpaygradestart VARCHAR(28)=""
) IMFitablerun DECLARE (@paygradeend VARCHAR(28)=""

) ) DECLARE (lempstart VARCHAR(280)-'22802000"
1§l MinovaEs_Arita_Prod DECLARE (@empend VARCHAR(208)='99999999"
| MinovakS_BankKalteng_BaseServerProd DECLARE (@emptype VARCHAR(280)=""
J MinovakS BankKatteng Prod DECLARE @esmpsubtype VARCHAR(200)<'

| MinovaES_BBG_Prod
3 Database Diagrams
= [_ Tables (filtered) D Results _‘j Messages
3 System Tables
[ FileTables
=1 dbo.PHRBNMEDTREATPLAF
= dbo,PHRBNMEDTREATPLAF bak28des2023
3 Views
3 Synonyms
(= 3 Programmability
= 1 Stored Procedures (filtered)
[_d Systern Stored Procedures
E] dbo.GenerateMedPlafMass
3 Functions
[ Database Triggers

N, VA

100 % -

Cannot insert duplicate key in object 'dbo.PHRPAB241'. The duplicate key value is (@8908366, 2, 1).

00% -~

lalu bentukan data nya yang terinsert ke phrpa0040 sudah betul, tetapi selanjut nya di phrpa0041 dst ngga terposting.

nama SP nya GenerateMedPlafMassService

#6 - 11/08/2024 05:38 PM - shofwan shiddiq
- File clipboard-202411081737-xbq0m.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Ini setelah di coba, execute nya sukses untuk tahun 2024, dan 2025
. SQLQuery23sql - remote.minovais.com, 1452 MinovaES_BBG_Prod (sa (84))* - Microsoft SQL Server Management Studio

File Edit View Query Project Tools Window Help
G-0|H-u-URF BNvaey BRREAR XDl
“§ | MinovaES_BBG Prod - | b oBecte m v ES 2

> 1 x

Object Explorer

¢ W
System Databases
Database Snapshots
@ Bintang_Prod
@ Bintang_Temp
& BMS_BACKUPDBRPTPA
& cnaf
& IMFitablerun
W MinovaES Arita_Prod
® MinovaES_BankKalteng_BaseServerProd
@ MinovaES_BankKalteng_Prod
@ MinovaES_BBG_Prod
Database Diagrams

Comnect~ ¥ ¥

—DECLARE @year VARCHAR(12) = '2025'
DECLARE @issimulate VARCHAR (2)="1'
DECLARE @treattype varchar(56)=""

DECLARE @CreateBy VARCHAR(200)=""

DECLARE @ChangeBy VARCHAR(200)=""

DECLARE (@startdate VARCHAR(20)={lyear+'e101"
DECLARE @enddate VARCHAR(20)=@year+'1231"
DECLARE (@paygradestart VARCHAR(28)=""
DECLARE @paygradeend VARCHAR(20)=""
DECLARE (@empstart VARCHAR(200)='00000000"
DECLARE @empend VARCHAR(20@)='99999999"

=]

=

Tables DECLARE @emptype VARCHAR(200)=""
Views DECLARE @empsubtype VARCHAR(200)=""
Synonyms

5 # Programmability

(= 7 Stored Procedures (filtered)
System Stored Procedures

110% ~ 4

B Results g Messages
dbo.GenerateMedPlafMassService EmployeelD

Sequence T pe  Plafond PlafondUsed

Functions 1 {oooooo01 | 27 1 50 10000000 10000000 000
Database Triggers 2 00000DOT 27 2 40 30000000 30000000 0.00
Assemblies 3 00000001 27 3 30 66000000 66000000 000

Types 4 oo0000D1 27 4 20 25000000 25000000 000

Rules 5 00000001 27 5 10 1000000 1000000 000

Defaults 6 00000002 27 1 50 5000000 5000000 0.00

plan Guides 7 ooo0000Z 27 2 40 15000000 15000000 000

s 00000002 27 3 30 30000000 39000000 000

Sequences 9 00000002 27 4 20 18000000 18000000 000

service Broker 10 00000002 27 5 10 1000000 1000000 000
Storage 11 00000007 27 1 50 5000000 5000000 000
Security 12 00000007 27 2 40 15000000 15000000 000
W MinovaES_BBG_Prod_BaseServerBBGlakarta 13 00000007 27 3 30 39000000 39000000 0.00
@ MinovaES_BIA Prod 14 00000007 27 4 20 18000000 18000000 000
8 Minovaks_KIL Prod 15 00000007 27 5 10 1000000 1000000 000
® MinovakS_Pertalife_BaseServerlakarta 16 00000008 27 1 50 4000000 4000000 000

@ MinovaEs Pertalife_Prod
o

[eR=NYD @ Query executed successfully.

c .

Q search

v

insert into

Quick Launch (Ctrl +Q)

X ~

«* All Open Documents

2 - X

MedicalFamily ~ Status

0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.
0001 Save Success.

remote.minovais.com, 1452 (..

sa (84)

MinovaES_BBG_Prod | 00:00:00 ' 938 rows

~ @ @D @

Sear]

5:37PM a

dan data juga sudah masuk di PHRPA0040 dan PHRPAO0041. Silahkan di test. Terima Kasih

#7 - 11/11/2024 02:40 PM - Muhammad Bintar
- File clipboard-202411111440-5q7fb.png added
- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to shofwan shiddiq

oke shofwan tadi udah ane coba dan itu ngga ada error pas execute.
lalu ane ambil data langsung dari prod bbg ke sini, timbul error nya.
v Help

®|%E'|jlﬂ| - '@| | p° md3 '|mﬁﬁ';gégasﬂLHistory;
B &g e | &[N w0,
= 1 x| S0OLOuery2.sql - rem..Glakarta (sa (114))* SOLQueryl.sql - re.._BBG_Prod (sa (89))* & X

--G0

--ALTER PROCEDURE [dbo].[GenerateMedPlafMassService]
--AS

’ q L>~|+~|

DECLARE (@year VARCHAR(12) = '2825°

DECLARE (@issimulate VARCHAR (2)="1'

DECLARE @treattype varchar(3@)='_

DECLARE [@CreateBy VARCHAR(288)=""

DECLARE @ChangeBy VARCHAR(20@)=""

DECLARE @startdate VARCHAR(20)=fyear+'@lal’
DECLARE (@enddate VARCHAR(28)=fyear+ 1231"
DECLARE @paygradestart VARCHAR(28)=""
DECLARE (@paygradeend VARCHAR(28)=""

NFEC] ARF femn<tart WARCHAR( 284)='ARAARAAAA '
W0% = 4

ER Results =B Messages

_PHRPROD41' . Cannot insert duplicate key in object 'dbo.PHRPAOO41'. The duplicate key walue is (000003&s, 2, 1).

L5750+07:00

W0% - 4 [ 4

1 Muenr ramnlatad with arenre remnte minnwaic cam TAR2 1 ca (30 | MineaFS BRG Prad | O0O000 0 322 roosec
gimana caranya merapikan data pa41 nya??

#8 - 11/13/2024 01:41 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Sudah di rapikan ya table PHRPA0040 dan PHRPAO0041. Kalau di execute ulang juga di master data med ( PHRPA0040 ) juga tidak akan double2
header sequence nya

UPDATE: Stored Procedure: GenerateMedPlafMassService

#9 - 11/13/2024 02:15 PM - Muhammad Bintar
- File clipboard-202411131415-muhuy.png added
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq

okeh sudah di deploy ke bbg prod.
Free license (non-professional use). Start trial license or buy.

E.. SOl Query78.5q] - 192.168.10.126.MinovaES_BBG_Prod (sa (62)) - Microsoft SQL Server Management Studio (Administrater)
Fle Edit View Query Project Debug Took Window Help
Pl S e | rewquery el G K D@0 - @5 | % |paz_he=s || g sl -
£ 4. 4| [ MnoveEs_8B6_Prod S| ¥ Beate bobu B o 00 3 | Pl @Yy = 2 = Al
Object Explorer MR 50LCuery78.5ql - 19..5_BBG_Prod (sa (62)) » I
Comnect~ & % m T (2] .5 USE [* aES_BEG_Prod]
T &0
B | MinovsES_BBG Prod
'J_:u;am_:;ﬁag,am, /****** Dhject: StoredProcedure [dbo].[GenerateMedPlafMassService]  Script Date: 13/11/
. SET ANSI_NULLS ON
= [ Tables (fitered) o !
M [ System Tables o
[ [ FleTables SET QUOTED_IDENTIFIER ON
[# 1 dbo.CHRTMTOPYPOTABSENCE o
=1 dbo. CPHRTMABSPRT
= _1 e. ALTER PROCEDURE [dbo].[
[# ] dho.PHRTMABSTYP JALTE [deal.[
1 [ Views as
| [ Synonyms
| [ Programmabiity
B @ Stored Procedures (fltered)

DECLARE f@year VARCHAR(12) - dbo.fn_formatdatetime(GETDATE

DECLARE |3'l\-|.'|l|‘.d‘.r VARCHAR (2)="1"
DECLARE type varchar(58)=""
DECLARE By VARCHAR(200)-""
DECLARE 'y WARCHAR( 20@
DECLARE date VARCHAR(2@
DECLARE VARCHAR( 28 -6
DECLARE Saygr adestart VARCHAR( 20
DECLARE gradeend VARCHAR(28)-""
DECLARE art VARCHAR (200)-'63080000°
DECLARE send VARCHAR(28@)='99939393"
DECLARE ype VARCHAR(200)-""
Ej;ﬂz‘: DECLARE @empsubtype VARCHAR(208)=""
(¢ [ Defaits i
[ Plon Guides 100% 4| | i
¥ [ Sequences | &Y connected. (1/1) 192, 168. 10,126 (11.0 5P1) | 52 (62) | MinovaES_BBG_Prod | 00:00:00 | Drows

E 3 Table-valed Functions
[= [ Scalar~valued Functbons (filtered)
7 [} dbo. YN _JsDirHead
i f3l} dbo.vN_lsDirHiead_NU20240505
[# 4 Aggregate Functons
A [ System Functions
@ [ Datahass Triggers
[ [ Assembies

=L L1 eI EE] | 2 1P | > B0 ORBREE

Files

clipboard-202411011045-x8ztb.png 200 KB 11/01/2024 shofwan shiddiq
GenerateMedPlafMass.txt 5.69 KB 11/01/2024 shofwan shiddiq
clipboard-202411081402-90rx5.png 137 KB 11/08/2024 Muhammad Bintar
clipboard-202411081737-xbg0Om.png 236 KB 11/08/2024 shofwan shiddiq
clipboard-202411111440-5q7fb.png 47.6 KB 11/11/2024 Muhammad Bintar
clipboard-202411131415-muhuy.png 267 KB 11/13/2024 Muhammad Bintar
